using System.Linq;

namespace FlutterCodeGenerator.Helper
{
    public class LetterConverterHelper
    {
        /// <summary>
        /// 首字母小写写
        /// </summary>
        /// <param name="input"></param>
        /// <returns></returns>
        public static string FirstCharToLower(string input)
        {
            if (string.IsNullOrEmpty(input))
                return input;
            var str = input.First().ToString().ToLower() + input.Substring(1);
            return str;
        }

        /// <summary>
        /// 首字母大写
        /// </summary>
        /// <param name="input"></param>
        /// <returns></returns>
        public static string FirstCharToUpper(string input)
        {
            if (string.IsNullOrEmpty(input))
                return input;
            var firstChar = input[0];
            if (firstChar >= 'a' && firstChar <= 'z')//该首字母小写
            {
                return input;
            }
            var str = input.First().ToString().ToUpper() + input.Substring(1);
            return str;
        }

        /// <summary>
        /// 首字母大写
        /// </summary>
        /// <param name="input"></param>
        /// <returns></returns>
        public static string FirstCharToUpper_2(string input)
        {
            if (string.IsNullOrEmpty(input))
                return input;
            var firstChar = input[0];
            var str = input.First().ToString().ToUpper() + input.Substring(1);
            return str;
        }
    }
}